Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CacheLoader Class Reference

`#include <coherence/net/cache/CacheLoader.hpp>`

Inherits Object.

Inherited by AbstractCacheLoader `[virtual]`, CacheStore `[virtual]`, and IterableCacheLoader `[virtual]`.

List of all members.

## Detailed Description

A cache loader.

Author:
  jh 2008.03.12

## Public Types
typedef spec::Handle | Handle
| CacheLoader Handle definition.
typedef spec::View | View
| CacheLoader View definition.
typedef spec::Holder | Holder
| CacheLoader Holder definition.
## Public Member Functions
virtual Object::Holder | load (Object::View vKey)=0
| Return the value associated with the specified key, or NULL if the key does not have an associated value in the underlying store.
virtual Map::View | loadAll (Collection::View vColKeys)=0
| Return the values associated with each the specified keys in the passed collection.

## Member Function Documentation

virtual Object::Holder load | ( | Object::View | vKey | ) | `[pure virtual]`

Return the value associated with the specified key, or NULL if the key does not have an associated value in the underlying store.

Parameters:

  | vKey | key whose associated value is to be returned

Returns:
  the value associated with the specified key, or `NULL` if no value is available for that key

virtual Map::View loadAll | ( | Collection::View | vColKeys | ) | `[pure virtual]`

Return the values associated with each the specified keys in the passed collection.

If a key does not have an associated value in the underlying store, then the return map will not have an entry for that key.

Parameters:

  | vColKeys | a collection of keys to load

Returns:
  a Map of keys to associated values for the specified keys

Implemented in AbstractCacheLoader.

The documentation for this class was generated from the following file:

- coherence/net/cache/CacheLoader.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.